## ipe-tools 7.2.7

=== pdftoipe/Makefile ===
# --------------------------------------------------------------------
# Makefile for pdftoipe
# --------------------------------------------------------------------

ifdef COMSPEC
  # compiling on Windows?
  CPPFLAGS += -I/minglibs/include/poppler
  LIBS += -L/minglibs/lib -lpoppler
  LDFLAGS += -static
  TARGET = pdftoipe.exe	
else ifdef IPECROSS
  # cross-compiling for Windows?
  CXX=i686-w64-mingw32-g++
  CPPFLAGS += -I/sw/mingwlibs/include/poppler
  LIBS += -L/sw/mingwlibs/lib -lpoppler
  LDFLAGS += -static
  TARGET = pdftoipe.exe	
else
  POPPLER_CFLAGS ?= $(shell pkg-config --cflags poppler)
  POPPLER_LIBS   ?= $(shell pkg-config --libs poppler)
  CPPFLAGS += $(POPPLER_CFLAGS)
  LIBS += $(POPPLER_LIBS)
  TARGET   = pdftoipe
endif

CXXFLAGS += -Wno-write-strings

all: $(TARGET)

objects = parseargs.o xmloutputdev.o pdftoipe.o 

$(TARGET): $(objects)
	$(CXX) $(LDFLAGS) -o $@ $^ $(LIBS)

clean:
	@-rm -f $(objects) $(TARGET)

xmloutputdev.o: xmloutputdev.h
pdftoipe.o: xmloutputdev.h parseargs.h
parseargs.o: parseargs.h

# --------------------------------------------------------------------

=== debian/changelog ===
ipe-tools (1:7.2.7-1build1) bionic; urgency=medium

  * No-change rebuild for poppler soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 25 Jan 2018 05:06:13 +0000

ipe-tools (1:7.2.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream version (added epoch to enable real versioning)
  * Add Vcs fields
  * cme fix dpkg-control; cme fix dpkg-copyright
  * debhelper 10
  * Replace python-imaging by python-pil
    Closes: #866435
  * Enhance descriptions
  * DEP5
  * Standards-Version: 4.1.3
  * hardening=+all
  * Add watch file

 -- Andreas Tille <tille@debian.org>  Mon, 08 Jan 2018 18:42:33 +0100

ipe-tools (20150406-3) unstable; urgency=medium

  [ Alexander Bürger ]
  * figtoipe.preinst: Remove.
  * figtoipe.postinst: New.  Remove old diversion properly.  Closes: #789281.

  [ Steve M. Robbins ]
  * Prepare for upload.

 -- Steve M. Robbins <smr@debian.org>  Wed, 24 Jun 2015 17:37:14 -0500

ipe-tools (20150406-2) unstable; urgency=medium

  * figtoipe.preinst: New.  Remove old diversion.  Closes: #789281.

 -- Steve M. Robbins <smr@debian.org>  Mon, 22 Jun 2015 21:53:31 -0500

ipe-tools (20150406-1) unstable; urgency=low

  [ Alexander Bürger ]
  * merged pdftoipe, svgtoipe, figtoipe, and ipe5toxml into a common source
    package as they share a common source repository
  * new upstream versions of figtoipe and ipe5toxml

  [ Steve M. Robbins ]
  * Team upload.

 -- Steve M. Robbins <smr@debian.org>  Sun, 07 Jun 2015 17:10:49 -0500

pdftoipe (20130124-1) unstable; urgency=low

  * New upstream.
    - patches/poppler.patch: Remove.  Applied upstream.
    - Upstream fixed their issue #112 for building with newer poppler.
      Closes: #679892.

  * control: Use debhelper 9, standards version 3.9.4.

 -- Steve M. Robbins <smr@debian.org>  Sun, 05 May 2013 20:00:47 -0500

pdftoipe (20110916-3) unstable; urgency=low

  * control: Migrate the libpoppler-dev build dependency to
    libpoppler-private-dev.  Closes: #660102.  Add build dependency on
    pkg-config.  Closes: #661082.

 -- Steve M. Robbins <smr@debian.org>  Thu, 23 Feb 2012 21:21:11 -0600

pdftoipe (20110916-2) unstable; urgency=low

  * patches/poppler.patch: New.  Fix to build with upcoming poppler 0.18
    (thanks, Pino Toscano).  Closes: #651151.

 -- Steve M. Robbins <smr@debian.org>  Sun, 11 Dec 2011 09:16:23 -0600

pdftoipe (20110916-1) unstable; urgency=low

  * New upstream.  Upstream renamed parseargs.c to parseargs.cc, so remove
    the rename from debian/rules.

 -- Steve M. Robbins <smr@debian.org>  Sun, 11 Dec 2011 02:00:30 -0600

pdftoipe (20091014-3) unstable; urgency=low

  * rules: Rename parseargs.c --> parseargs.cpp so it builds with c++
    compiler.  Required for Poppler > 0.15.  Closes: #618829.

 -- Steve M. Robbins <smr@debian.org>  Mon, 30 May 2011 23:54:45 -0500

pdftoipe (20091014-2) unstable; urgency=low

  * copyright: Update to reflect upstream license change to GPL v2.  See
    https://sourceforge.net/apps/mantisbt/ipe7/view.php?id=22.  
    Closes: #609610.

 -- Steve M. Robbins <smr@debian.org>  Sun, 16 Jan 2011 13:05:44 -0600

pdftoipe (20091014-1) unstable; urgency=low

  * New upstream. 
    - This version is compatible with Ipe 7 only.

 -- Steve M. Robbins <smr@debian.org>  Wed, 02 Jun 2010 21:26:05 -0500

pdftoipe (20070509-1) unstable; urgency=low

  * New upstream.
  
  * debian/watch: Update to use luaforge.net for download.
    Closes: #449909.

 -- Steve M. Robbins <smr@debian.org>  Thu, 07 Feb 2008 01:39:59 -0600

pdftoipe (20051114-1) unstable; urgency=low

  * New upstream.  Closes: #381003.
  
  * debian/control: Bump Standards-Version to 3.7.2.2 (no changes
    required).  Use debhelper compat version 5.
  
  * debian/watch: New.

 -- Steve M. Robbins <smr@debian.org>  Mon, 12 Mar 2007 00:55:41 -0500

pdftoipe (20040630-3) unstable; urgency=low

  * Rebuild with GCC-4 transitioned version of qt.

 -- Steve M. Robbins <smr@debian.org>  Sun,  4 Sep 2005 12:03:21 -0400

pdftoipe (20040630-2) unstable; urgency=low

  * Rebuild on system NOT polluted by experimental GCC.

 -- Steve M. Robbins <smr@debian.org>  Sat,  9 Apr 2005 13:02:37 -0400

pdftoipe (20040630-1) unstable; urgency=low

  * Initial upload.  Closes: 272125, 279853.

 -- Steve M. Robbins <smr@debian.org>  Sun,  3 Apr 2005 19:32:42 -0400

svgtoipe (20100608-1) unstable; urgency=low

  * Initial upload.

 -- Steve M. Robbins <smr@debian.org>  Sun, 11 Dec 2011 04:04:43 -0600

figtoipe (20080517-1) unstable; urgency=low

  * Initial release of figtoipe as a separate debian package, as it
    disappeared from the ipe package recently (Closes: #481022).

 -- Alexander Bürger <acfb@users.sf.net>  Tue, 21 May 2008 00:30:04 +0200

ipe5toxml (20051114-1) unstable; urgency=low

  * Initial upload.

 -- Steve M. Robbins <smr@debian.org>  Sun, 11 Dec 2011 11:46:41 -0600

=== debian/control ===
Source: ipe-tools
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Section: graphics
Priority: optional
Build-Depends: debhelper (>= 10),
               libz-dev,
               dh-python,
               python,
               pkg-config,
               libpoppler-private-dev
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ipe-tools.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ipe-tools.git
Homepage: https://github.com/otfried/ipe-tools

Package: figtoipe
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: ipe,
            netpbm
Description: convert FIG files to XML files for ipe
 Ipe is a drawing editor for creating figures, provided in package ipe.
 .
 Figtoipe is a program that reads FIG files (as generated by xfig) and
 generates an XML file readable by Ipe.

Package: ipe5toxml
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: ipe
Description: converts Ipe5 figures to an XML file readable by Ipe
 Converts figures that were made with Ipe 5 to the format understood
 by Ipe 6. You can then run ipe6upgrade (from package ipe) to convert
 them to Ipe 7 format. Ipe is a drawing editor for creating figures,
 provided in package ipe.

Package: pdftoipe
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Recommends: ipe
Description: converts arbitrary PDF file to XML file readable by Ipe
 Ipe is a drawing editor for creating figures, provided in package ipe.
 .
 This package contains a tool to convert drawings in PDF format to
 XML that can be used by ipe editor.

Package: svgtoipe
Architecture: all
Depends: python,
         ${misc:Depends},
         ${python:Depends}
Recommends: ipe,
            python-pil
Description: converts SVG figures to an XML file readable by Ipe
 Ipe is a drawing editor for creating figures, provided in package ipe.
 .
 This package contains a tool to convert drawings in SVG format to
 XML that can be used by ipe editor.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --with python2

override_dh_auto_build:
	$(MAKE) -C figtoipe
	$(MAKE) -C ipe5toxml
	$(MAKE) -C pdftoipe

override_dh_install:
#	svgtoipe has no Makefile and the script is called svgtoipe.py
	install -D -p svgtoipe/svgtoipe.py $(CURDIR)/debian/svgtoipe/usr/bin/svgtoipe
#	install -D -p svgtoipe/svgtoipe.1 $(CURDIR)/debian/svgtoipe/usr/man/man1/svgtoipe.1

	dh_install

override_dh_auto_clean:
	$(MAKE) -C figtoipe clean
	$(MAKE) -C ipe5toxml clean
	$(MAKE) -C pdftoipe clean

## ipe-tools 7.2.7.2

=== pdftoipe/Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
   TARGET = pdftoipe.exe	
 else ifdef IPECROSS
   # cross-compiling for Windows?
-  CXX=i686-w64-mingw32-g++
+  CXX=x86_64-w64-mingw32-g++
   CPPFLAGS += -I/sw/mingwlibs/include/poppler
   LIBS += -L/sw/mingwlibs/lib -lpoppler
   LDFLAGS += -static
@@ -23,7 +23,7 @@
   TARGET   = pdftoipe
 endif
 
-CXXFLAGS += -Wno-write-strings
+CXXFLAGS += -Wno-write-strings -std=c++11
 
 all: $(TARGET)

=== debian/changelog ===
ipe-tools (1:7.2.7.2-3) unstable; urgency=medium

  [ Helmut Grohne ]
  * Apply Helmut Grohne's fix for FTCBFS: (Closes: #949304)
    + Let dh_auto_build pass cross tools to make.
    + cross.patch: Make pkg-config substitutable.

 -- Steve M. Robbins <smr@debian.org>  Sun, 19 Jan 2020 13:38:31 -0600

ipe-tools (1:7.2.7.2-2) unstable; urgency=medium

  [ Steve Robbins ]
  * Upgrade svgtoipe to python3 and build --with python3.  Closes: #936740.

 -- Steve M. Robbins <smr@debian.org>  Fri, 17 Jan 2020 14:39:38 -0600

ipe-tools (1:7.2.7.2-1) unstable; urgency=medium

  * New upstream version 7.2.7.2
  * Team upload

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 27 Nov 2018 16:42:23 +0100

ipe-tools (1:7.2.7.1-1) unstable; urgency=medium

  * Update VCS fields
  * Team upload
  * New upstream version 7.2.7.1 (Closes: #911503, Closes: #910868)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 22 Oct 2018 11:27:17 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,12 @@
 Build-Depends: debhelper (>= 10),
                libz-dev,
                dh-python,
-               python,
+               python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3,
                pkg-config,
                libpoppler-private-dev
 Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/ipe-tools.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/ipe-tools.git
+Vcs-Browser: https://salsa.debian.org/science-team/ipe-tools
+Vcs-Git: https://salsa.debian.org/science-team/ipe-tools.git
 Homepage: https://github.com/otfried/ipe-tools
 
 Package: figtoipe
@@ -50,9 +50,8 @@
 
 Package: svgtoipe
 Architecture: all
-Depends: python,
-         ${misc:Depends},
-         ${python:Depends}
+Depends: ${misc:Depends},
+         ${python3:Depends}
 Recommends: ipe,
             python-pil
 Description: converts SVG figures to an XML file readable by Ipe

## ipe-tools 7.2.20

=== ipe5toxml/Makefile ===
#
# Makefile for ipe5toxml
#

ifdef COMSPEC
TARGET = ipe5toxml.exe
LDFLAGS = -mconsole
else
TARGET = ipe5toxml
endif

LIBS = -lm

all: $(TARGET)

sources	= ipe5toxml.c

objects = ipe5toxml.o

$(TARGET): $(objects)
	$(CC) $(LDFLAGS) -o $(TARGET) $(objects) $(LIBS)

.PHONY: clean
clean:
	@-rm -f $(objects) $(TARGET)

=== pdftoipe/Makefile ===
--- 
+++ 
@@ -10,9 +10,9 @@
   TARGET = pdftoipe.exe	
 else ifdef IPECROSS
   # cross-compiling for Windows?
-  CXX=x86_64-w64-mingw32-g++
-  CPPFLAGS += -I/sw/mingwlibs/include/poppler
-  LIBS += -L/sw/mingwlibs/lib -lpoppler
+  CXX=$(IPECROSS)-w64-mingw32-g++
+  CPPFLAGS += -I/sw/mingwlibs-$(IPECROSS)/include/poppler
+  LIBS += -L/sw/mingwlibs-$(IPECROSS)/lib -lpoppler
   LDFLAGS += -static
   TARGET = pdftoipe.exe	
 else
@@ -23,7 +23,7 @@
   TARGET   = pdftoipe
 endif
 
-CXXFLAGS += -Wno-write-strings -std=c++11
+CXXFLAGS += -Wno-write-strings -std=c++14
 
 all: $(TARGET)

=== debian/changelog ===
ipe-tools (1:7.2.20-1ubuntu1) jammy; urgency=medium

  * Cherry-pick patch to fix build with latest poppler

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 04 Feb 2022 13:23:17 -0500

ipe-tools (1:7.2.20-1build7) jammy; urgency=medium

  * No-change rebuild against latest poppler

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Fri, 04 Feb 2022 12:45:09 -0500

ipe-tools (1:7.2.20-1build6) jammy; urgency=medium

  * Rebuild for the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Nov 2021 13:36:03 +0100

ipe-tools (1:7.2.20-1build5) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 16 Oct 2021 06:56:28 +0000

ipe-tools (1:7.2.20-1build4) impish; urgency=medium

  * Rebuiid with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 03 Jun 2021 12:17:33 +0200

ipe-tools (1:7.2.20-1build3) hirsute; urgency=medium

  * Rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 24 Feb 2021 13:14:10 +0100

ipe-tools (1:7.2.20-1build2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:32:24 +0100

ipe-tools (1:7.2.20-1build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 10:52:33 +0200

ipe-tools (1:7.2.20-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [555859a] New upstream version 7.2.20
    Builds with poppler 0.85.  Closes: #968724.

 -- Steve M. Robbins <smr@debian.org>  Sun, 23 Aug 2020 23:37:33 -0500

ipe-tools (1:7.2.7.2-4) unstable; urgency=medium

  [ Steve Robbins ]
  * Remove recommendation on python-pil, since it is Python 2.  Closes: #936740.

 -- Steve M. Robbins <smr@debian.org>  Sat, 22 Feb 2020 10:20:58 -0600

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ipe-tools
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Section: graphics
 Priority: optional
@@ -52,8 +53,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends}
-Recommends: ipe,
-            python-pil
+Recommends: ipe
 Description: converts SVG figures to an XML file readable by Ipe
  Ipe is a drawing editor for creating figures, provided in package ipe.
  .

=== debian/watch ===
version=4

https://github.com/otfried/ipe-tools/releases .*/archive/v@ANY_VERSION@@ARCHIVE_EXT@

## ipe-tools 7.2.24.1

=== figtoipe/Makefile ===
#############################################################################
# Makefile for building figtoipe
#############################################################################

CXX           = g++
CXXFLAGS      += -O2 -Wall -W
RM            = rm -f
LIBS          = -lz

TARGET = figtoipe
SOURCES = $(TARGET).cpp 
SRCDISTFILES = $(TARGET).1 $(SOURCES) README Makefile GPL-2

all: $(TARGET)

clean:
	-$(RM) $(TARGET)

$(TARGET): $(SOURCES)
	$(CXX) $(CXXFLAGS) -o $@ $^ $(LDFLAGS) $(LIBS)

dist:
	DATE=`date  +"%Y%m%d"`; D=/tmp/$(TARGET)-$$DATE; \
	rm -rf $$D; mkdir $$D; \
	cp $(SRCDISTFILES) $$D; \
	tar czvf $$D.tar.gz -C /tmp $(TARGET)-$$DATE

.PHONY: all

=== pdftoipe/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
   TARGET   = pdftoipe
 endif
 
-CXXFLAGS += -Wno-write-strings -std=c++14
+CXXFLAGS += -Wno-write-strings -std=c++17
 
 all: $(TARGET)

=== debian/changelog ===
ipe-tools (1:7.2.24.1-3.1ubuntu1) oracular; urgency=medium

  * Add patch to fix build with poppler 24.06 (Closes: #1074400)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Jun 2024 19:54:50 -0400

ipe-tools (1:7.2.24.1-3.1) unstable; urgency=high

  * Non-maintainer upload
  * Release to unstable for the poppler transition

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 10 Jan 2023 16:39:28 -0500

ipe-tools (1:7.2.24.1-3) experimental; urgency=medium

  [ Nathan Pratta Teodosio ]
  * Add patch to fix build with poppler 22.09.  Closes: #1026040.

 -- Steve M. Robbins <smr@debian.org>  Thu, 29 Dec 2022 10:27:31 -0600

ipe-tools (1:7.2.24.1-2) unstable; urgency=medium

  [ Sam Q ]
  * [eb01120] Fix for correcting error searching new upstream

  [ Steve Robbins ]
  * [010297f] Update standards version.

 -- Steve M. Robbins <smr@debian.org>  Sun, 16 Oct 2022 19:05:46 -0500

ipe-tools (1:7.2.24.1-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Nathan Pratta Teodosio ]
  * Add patch to fix build with poppler 22.03 (Closes: #1012845)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 18:11:26 -0400

ipe-tools (1:7.2.24.1-1) unstable; urgency=medium

  [ Steve Robbins ]
  * [db3b6a3] New upstream version 7.2.24.1
  * New version should build with poppler 22.  Closes: #1004977.

 -- Steve M. Robbins <smr@debian.org>  Sat, 19 Feb 2022 12:56:57 -0600

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,9 @@
                dh-python,
                python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3,
                pkg-config,
-               libpoppler-private-dev
-Standards-Version: 4.1.3
+               libpoppler-private-dev,
+               libpoppler-cpp-dev (>= 22.09)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/ipe-tools
 Vcs-Git: https://salsa.debian.org/science-team/ipe-tools.git
 Homepage: https://github.com/otfried/ipe-tools

## ipe-tools 7.2.29.1

=== pdftoipe/Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
   TARGET   = pdftoipe
 endif
 
-CXXFLAGS += -Wno-write-strings -std=c++17
+CXXFLAGS += -Wno-write-strings -std=c++20
 
 all: $(TARGET)

=== debian/changelog ===
ipe-tools (1:7.2.29.1-2) unstable; urgency=medium

  [ Steve Robbins ]
  * [e3acf24] Fixes to build using C++23.  Closes: #1096845.

 -- Steve M. Robbins <smr@debian.org>  Wed, 10 Sep 2025 23:09:40 -0500

ipe-tools (1:7.2.29.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Fix day-of-week for changelog entry 20080517-1.

 -- Steve M. Robbins <smr@debian.org>  Fri, 22 Nov 2024 09:14:00 -0600

ipe-tools (1:7.2.24.1-4) unstable; urgency=medium

  [ Jeremy Bícha ]
  * [e82fde1] Add patch to fix build with poppler 24.06 (Closes: #1074400)

 -- Steve M. Robbins <smr@debian.org>  Sun, 11 Aug 2024 10:24:35 -0500

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,20 @@
 Source: ipe-tools
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Section: graphics
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                libz-dev,
-               dh-python,
+               dh-sequence-python3,
                python3:any | python3-all:any | python3-dev:any | python3-all-dev:any | dh-sequence-python3,
-               pkg-config,
+               pkgconf,
                libpoppler-private-dev,
                libpoppler-cpp-dev (>= 22.09)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/ipe-tools
 Vcs-Git: https://salsa.debian.org/science-team/ipe-tools.git
 Homepage: https://github.com/otfried/ipe-tools
+Rules-Requires-Root: no
 
 Package: figtoipe
 Architecture: any

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ipe-tools-$1\.tar\.gz/ \
  https://github.com/otfried/ipe-tools/tags .*/v?(\d\S+)\.tar\.gz

## ipe-tools 7.2.29.2

=== ipe5toxml/Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 TARGET = ipe5toxml
 endif
 
+CFLAGS = -std=c2x
 LIBS = -lm
 
 all: $(TARGET)

=== debian/changelog ===
ipe-tools (1:7.2.29.2-0ubuntu1) resolute; urgency=medium

  * New upstream version
    - Fix build against poppler 26.01

 -- Alessandro Astone <alessandro.astone@canonical.com>  Wed, 25 Feb 2026 16:50:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ipe-tools
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Steve M. Robbins <smr@debian.org>
 Section: graphics
 Priority: optional

## ipe-tools 20150406

=== pdftoipe/Makefile ===
--- 
+++ 
@@ -10,20 +10,18 @@
   TARGET = pdftoipe.exe	
 else ifdef IPECROSS
   # cross-compiling for Windows?
-  CXX=$(IPECROSS)-w64-mingw32-g++
-  CPPFLAGS += -I/sw/mingwlibs-$(IPECROSS)/include/poppler
-  LIBS += -L/sw/mingwlibs-$(IPECROSS)/lib -lpoppler
+  CXX=i686-w64-mingw32-g++
+  CPPFLAGS += -I/sw/mingwlibs/include/poppler
+  LIBS += -L/sw/mingwlibs/lib -lpoppler
   LDFLAGS += -static
   TARGET = pdftoipe.exe	
 else
-  POPPLER_CFLAGS ?= $(shell pkg-config --cflags poppler)
-  POPPLER_LIBS   ?= $(shell pkg-config --libs poppler)
-  CPPFLAGS += $(POPPLER_CFLAGS)
-  LIBS += $(POPPLER_LIBS)
-  TARGET   = pdftoipe
+  CPPFLAGS += $(shell pkg-config --cflags poppler) 
+  LIBS += $(shell pkg-config --libs poppler)
+  TARGET = pdftoipe
 endif
 
-CXXFLAGS += -Wno-write-strings -std=c++20
+CXXFLAGS += -Wno-write-strings
 
 all: $(TARGET)

=== debian/changelog ===
ipe-tools (20150406-3build4) xenial; urgency=medium

  * No change rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 29 Feb 2016 10:47:33 +0100

ipe-tools (20150406-3build3) xenial; urgency=high

  * Rebuild against libpoppler57/s390x.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 08 Dec 2015 21:10:46 +0000

ipe-tools (20150406-3build2) xenial; urgency=medium

  * No change rebuild with the new poppler soname

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 25 Nov 2015 21:32:56 +1300

ipe-tools (20150406-3build1) xenial; urgency=medium

  * No change rebuild with the new poppler soname

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Oct 2015 10:02:58 +0100

=== debian/control ===
Source: ipe-tools
Section: graphics
Priority: extra
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Steve M. Robbins <smr@debian.org>
Build-Depends: debhelper (>= 9), libz-dev, dh-python, python,
 pkg-config, libpoppler-private-dev
Standards-Version: 3.9.6
Homepage: https://github.com/otfried/ipe-tools

Package: figtoipe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ipe, netpbm
Breaks: ipe (<<6.0pre30-1)
Replaces: ipe (<<6.0pre30-1)
Description: convert FIG files to XML files for ipe
 Figtoipe is a program that reads FIG files (as generated by xfig) and
 generates an XML file readable by Ipe.

Package: ipe5toxml
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: ipe
Description: converts Ipe5  figures to an XML file readable by Ipe
 Converts figures that were made with Ipe 5 to the format understood
 by Ipe 6. You can then run ipe6upgrade (from package ipe) to convert
 them to Ipe 7 format. Ipe is a drawing editor for creating figures,
 provided in package ipe.

Package: pdftoipe
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: ipe
Description: converts arbitrary PDF file to XML file readable by Ipe
 Ipe is a drawing editor for creating figures, provided in package ipe.

Package: svgtoipe
Architecture: all
Depends: python, ${misc:Depends}, ${python:Depends}
Recommends: ipe, python-imaging
Description: converts SVG figures to an XML file readable by Ipe
 Ipe is a drawing editor for creating figures, provided in package ipe.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 
 %:
 	dh $@ --with python2
